%define upstream_name    Acme-POE-Acronym-Generator
%define upstream_version 1.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Generate random POE acronyms
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Acme/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Math::Random) >= 0.690.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
What does POE stand for?" is a common question, and people have expanded
the acronym in several ways.

Acme::POE::Acronym::Generator produces randomly generated expansions of the
POE acronym ( or at your option any other arbitary word ).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%{make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.200.0-7pclos2017
- rebuild against updates

